import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  accountSid: SortOrderSchema.optional(),
  authToken: SortOrderSchema.optional(),
  phoneNumber: SortOrderSchema.optional(),
  greetingMessage: SortOrderSchema.optional(),
  templates: SortOrderSchema.optional()
}).strict();
export const TwilioSettingsCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.TwilioSettingsCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.TwilioSettingsCountOrderByAggregateInput>;
export const TwilioSettingsCountOrderByAggregateInputObjectZodSchema = makeSchema();
